- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetNestedPlaybooksAsSteps#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetNestedPlaybooksAsSteps#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetNestedPlaybooksAsSteps#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetNestedPlaybooksAsSteps#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetNestedPlaybooksAsSteps#body.LegacyPlaybookGetNestedPlaybooksAsStepsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetNestedPlaybooksAsSteps#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetNestedPlaybooksAsSteps#body.aspect_1)

**Full name**: projects.locations.instances.legacyPlaybooks.legacyGetNestedPlaybooksAsSteps

Returns all blocks available for use as nested steps in a playbook.

### HTTP request

`GET https://{endpoint}/v1alpha/{instance}/legacyPlaybooks:legacyGetNestedPlaybooksAsSteps`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. The instance to get the nested playbooks as steps for. Format: projects/{project}/locations/{location}/instances/{instance} |

### Request body

The request body must be empty.

### Response body

LegacyPlaybookGetNestedPlaybooksAsStepsResponse is a response for getting the nested playbooks as steps.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "payload": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/ApiWorkflowStepDataModel`) } ] } ``` |

| Fields ||
|---|---|
| `payload[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/ApiWorkflowStepDataModel`)`` Optional. The nested playbooks as steps. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.legacyPlaybooks.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).